Index: cprs/trunk/CPRS-Chart/fARTAllgy.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fARTAllgy.dfm	(revision 830)
+++ cprs/trunk/CPRS-Chart/fARTAllgy.dfm	(revision 1679)
@@ -1,15 +1,16 @@
 inherited frmARTAllergy: TfrmARTAllergy
   Tag = 1105
-  Left = 339
-  Top = 266
+  Left = 274
+  Top = 150
   Caption = 'Enter Allergy or Adverse Reaction'
   ClientHeight = 438
   ClientWidth = 553
-  Position = poScreenCenter
+  FormStyle = fsStayOnTop
+  Position = poDesigned
   OnClose = FormClose
   OnCloseQuery = FormCloseQuery
   OnCreate = FormCreate
   ExplicitWidth = 561
-  ExplicitHeight = 472
+  ExplicitHeight = 465
   PixelsPerInch = 96
   TextHeight = 13
@@ -74,5 +75,5 @@
           WordWrap = False
         end
-        object btnAgent: TSpeedButton
+        object btnAgent1: TSpeedButton
           Left = 175
           Top = 62
@@ -80,4 +81,5 @@
           Height = 19
           Caption = '...'
+          Enabled = False
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -86,5 +88,5 @@
           Font.Style = [fsBold]
           ParentFont = False
-          OnClick = btnAgentClick
+          OnClick = btnAgent1Click
         end
         object lblOriginator: TOROffsetLabel
@@ -111,8 +113,8 @@
         end
         object Bevel1: TBevel
-          Left = 7
-          Top = 299
+          Left = 3
+          Top = 312
           Width = 502
-          Height = 36
+          Height = 26
         end
         object lblSymptoms: TOROffsetLabel
@@ -188,5 +190,5 @@
           Height = 17
           Caption = '&No Known Allergies'
-          TabOrder = 0
+          TabOrder = 1
           OnClick = ckNoKnownAllergiesClick
         end
@@ -197,5 +199,5 @@
           Height = 21
           Caption = '&Active Allergies'
-          TabOrder = 1
+          TabOrder = 2
           OnClick = btnCurrentClick
         end
@@ -210,5 +212,5 @@
           ParentShowHint = False
           ShowHint = True
-          TabOrder = 2
+          TabOrder = 3
           OnClick = lstAllergyClick
           ItemTipColor = clWindow
@@ -245,5 +247,6 @@
           Sorted = False
           SynonymChars = '<>'
-          TabOrder = 4
+          TabOrder = 8
+          TabStop = True
           OnChange = ControlChange
           OnNeedData = cboOriginatorNeedData
@@ -257,5 +260,5 @@
           Color = clBtnFace
           Enabled = False
-          TabOrder = 5
+          TabOrder = 9
           OnChange = ControlChange
           DateOnly = False
@@ -264,11 +267,11 @@
         object ckChartMarked: TCheckBox
           Left = 294
-          Top = 307
+          Top = 313
           Width = 113
-          Height = 17
+          Height = 22
           Caption = '&Marked On Chart'
           Checked = True
           State = cbChecked
-          TabOrder = 18
+          TabOrder = 22
           Visible = False
           OnClick = ControlChange
@@ -276,9 +279,9 @@
         object ckIDBand: TCheckBox
           Left = 122
-          Top = 307
+          Top = 313
           Width = 97
-          Height = 17
+          Height = 22
           Caption = '&ID Band Marked'
-          TabOrder = 17
+          TabOrder = 21
           OnClick = ControlChange
         end
@@ -290,4 +293,5 @@
           Style = orcsSimple
           AutoSelect = True
+          Caption = 'Signs and Symptoms'
           Color = clWindow
           DropDownCount = 8
@@ -302,5 +306,5 @@
           Sorted = False
           SynonymChars = '<>'
-          TabOrder = 11
+          TabOrder = 15
           OnKeyDown = cboSymptomsKeyDown
           OnMouseClick = cboSymptomsMouseClick
@@ -317,5 +321,6 @@
           ParentShowHint = False
           ShowHint = True
-          TabOrder = 12
+          TabOrder = 16
+          Caption = 'Selected Symptoms'
           ItemTipColor = clWindow
           LongList = False
@@ -323,25 +328,17 @@
           OnChange = lstSelectedSymptomsChange
         end
-        object btnDateTime: TButton
-          Left = 154
-          Top = 270
-          Width = 62
-          Height = 21
-          Caption = '&Date/Time'
-          TabOrder = 13
-          OnClick = btnDateTimeClick
-        end
         object btnRemove: TButton
-          Left = 223
-          Top = 270
-          Width = 57
+          Left = 148
+          Top = 290
+          Width = 132
           Height = 21
           Caption = '&Remove'
-          TabOrder = 14
+          Enabled = False
+          TabOrder = 18
           OnClick = btnRemoveClick
         end
         object grpObsHist: TRadioGroup
           Left = 362
-          Top = 2
+          Top = 0
           Width = 147
           Height = 38
@@ -354,5 +351,6 @@
           ParentShowHint = False
           ShowHint = True
-          TabOrder = 7
+          TabOrder = 11
+          TabStop = True
           OnClick = grpObsHistClick
         end
@@ -364,4 +362,5 @@
           Style = orcsDropDown
           AutoSelect = True
+          Caption = 'Severity'
           Color = clWindow
           DropDownCount = 8
@@ -376,5 +375,5 @@
           Sorted = False
           SynonymChars = '<>'
-          TabOrder = 9
+          TabOrder = 13
           OnChange = ControlChange
           OnExit = ControlChange
@@ -386,6 +385,7 @@
           Width = 145
           Height = 21
-          TabOrder = 8
+          TabOrder = 12
           OnChange = ControlChange
+          OnExit = calObservedDateExit
           DateOnly = False
           RequireTime = False
@@ -397,5 +397,5 @@
           Height = 21
           Caption = 'View &Previous Observations'
-          TabOrder = 6
+          TabOrder = 10
           OnClick = cmdPrevObsClick
         end
@@ -405,4 +405,5 @@
           Width = 213
           Height = 112
+          Hint = 'Comments'
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -412,5 +413,5 @@
           ParentFont = False
           ScrollBars = ssVertical
-          TabOrder = 15
+          TabOrder = 19
           OnExit = memCommentsExit
         end
@@ -421,5 +422,5 @@
           Height = 21
           Caption = '&View Previous Comments'
-          TabOrder = 16
+          TabOrder = 20
           OnClick = cmdPrevCmtsClick
         end
@@ -431,4 +432,5 @@
           Style = orcsDropDown
           AutoSelect = True
+          Caption = 'Nature of Reaction'
           Color = clWindow
           DropDownCount = 8
@@ -443,13 +445,14 @@
           Sorted = False
           SynonymChars = '<>'
-          TabOrder = 3
+          TabOrder = 5
           OnChange = ControlChange
           CharsNeedMatch = 1
         end
         object btnSevHelp: TORAlignButton
-          Left = 489
+          Left = 488
           Top = 96
           Width = 21
           Height = 21
+          Hint = 'Severity Help'
           Caption = '&?'
           Font.Charset = DEFAULT_CHARSET
@@ -459,6 +462,73 @@
           Font.Style = [fsBold]
           ParentFont = False
-          TabOrder = 10
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 14
           OnClick = btnSevHelpClick
+        end
+        object origlbl508: TVA508StaticText
+          Name = 'origlbl508'
+          Left = 294
+          Top = -5
+          Width = 47
+          Height = 15
+          Alignment = taLeftJustify
+          Caption = 'Originator'
+          Enabled = False
+          TabOrder = 6
+          ShowAccelChar = True
+        end
+        object origdtlbl508: TVA508StaticText
+          Name = 'origdtlbl508'
+          Left = 295
+          Top = 43
+          Width = 28
+          Height = 15
+          Alignment = taLeftJustify
+          Caption = 'origdt'
+          Enabled = False
+          TabOrder = 7
+          ShowAccelChar = True
+        end
+        object SymptomDateBox: TORDateBox
+          Left = 148
+          Top = 265
+          Width = 135
+          Height = 21
+          Hint = 'Enter date/time for selected symptom '
+          Enabled = False
+          TabOrder = 17
+          Text = 'NOW'
+          OnExit = SymptomDateBoxExit
+          DateOnly = False
+          RequireTime = False
+        end
+        object btnAgent: TButton
+          Left = 175
+          Top = 62
+          Width = 19
+          Height = 19
+          Caption = '...'
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clWindowText
+          Font.Height = -11
+          Font.Name = 'MS Sans Serif'
+          Font.Style = [fsBold]
+          ParentFont = False
+          TabOrder = 4
+          OnClick = btnAgent1Click
+        end
+        object NoAllergylbl508: TVA508StaticText
+          Name = 'NoAllergylbl508'
+          Left = 10
+          Top = 8
+          Width = 6
+          Height = 6
+          Alignment = taLeftJustify
+          Enabled = False
+          TabOrder = 0
+          TabStop = True
+          Visible = False
+          ShowAccelChar = True
         end
       end
@@ -504,4 +574,5 @@
           Style = orcsDropDown
           AutoSelect = True
+          Caption = 'Verified By'
           Color = clWindow
           DropDownCount = 8
@@ -530,4 +601,5 @@
           DateOnly = False
           RequireTime = False
+          Caption = 'Date Verified'
         end
       end
@@ -581,5 +653,5 @@
           ScrollBars = ssVertical
           TabOrder = 1
-          OnExit = memCommentsExit
+          OnExit = memErrCmtsExit
         end
       end
@@ -612,4 +684,6 @@
   end
   inherited amgrMain: TVA508AccessibilityManager
+    Left = 168
+    Top = 56
     Data = (
       (
@@ -627,5 +701,6 @@
       (
         'Component = tabGeneral'
-        'Status = stsDefault')
+        'Property = Caption'
+        'Status = stsOK')
       (
         'Component = ckNoKnownAllergies'
@@ -636,5 +711,6 @@
       (
         'Component = lstAllergy'
-        'Status = stsDefault')
+        'Text = Causative Agent'
+        'Status = stsOK')
       (
         'Component = cboOriginator'
@@ -651,11 +727,12 @@
       (
         'Component = cboSymptoms'
-        'Status = stsDefault')
+        
+          'Text = Signs and Symptoms. Press enter to select the sign/sympto' +
+          'm.'
+        'Status = stsOK')
       (
         'Component = lstSelectedSymptoms'
-        'Status = stsDefault')
-      (
-        'Component = btnDateTime'
-        'Status = stsDefault')
+        'Text = Selected Symptoms'
+        'Status = stsOK')
       (
         'Component = btnRemove'
@@ -663,5 +740,6 @@
       (
         'Component = grpObsHist'
-        'Status = stsDefault')
+        'Text = Observed or Historical Allergy Group Box'
+        'Status = stsOK')
       (
         'Component = cboSeverity'
@@ -669,5 +747,6 @@
       (
         'Component = calObservedDate'
-        'Status = stsDefault')
+        'Text = Reaction Date/Time'
+        'Status = stsOK')
       (
         'Component = cmdPrevObs'
@@ -684,8 +763,10 @@
       (
         'Component = btnSevHelp'
-        'Status = stsDefault')
+        'Text = Severity Help'
+        'Status = stsOK')
       (
         'Component = tabVerify'
-        'Status = stsDefault')
+        'Property = Caption'
+        'Status = stsOK')
       (
         'Component = ckVerified'
@@ -699,5 +780,6 @@
       (
         'Component = tabEnteredInError'
-        'Status = stsDefault')
+        'Property = Caption'
+        'Status = stsOK')
       (
         'Component = ckEnteredInError'
@@ -705,5 +787,6 @@
       (
         'Component = memErrCmts'
-        'Status = stsDefault')
+        'Text = Comments (optional)'
+        'Status = stsOK')
       (
         'Component = cboAllergyType'
@@ -711,12 +794,47 @@
       (
         'Component = frmARTAllergy'
-        'Status = stsDefault'))
+        'Status = stsDefault')
+      (
+        'Component = origlbl508'
+        'Status = stsDefault')
+      (
+        'Component = origdtlbl508'
+        'Status = stsDefault')
+      (
+        'Component = SymptomDateBox'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = btnAgent'
+        'Text = Causative Agent Reselect'
+        'Status = stsOK')
+      (
+        'Component = NoAllergylbl508'
+        'Text = No Known Allergies checkbox disabled'
+        'Status = stsOK'))
   end
-  object dlgReactionDateTime: TORDateTimeDlg
-    FMDateTime = 2981202.000000000000000000
-    DateOnly = False
-    RequireTime = False
-    Left = 5
-    Top = 400
+  object VA508ComponentAccessibility1: TVA508ComponentAccessibility
+    Component = memComments
+    OnStateQuery = VA508ComponentAccessibility1StateQuery
+    Left = 408
+    Top = 216
+  end
+  object VA508ComponentAccessibility2: TVA508ComponentAccessibility
+    Component = lstAllergy
+    OnComponentNameQuery = VA508ComponentAccessibility2ComponentNameQuery
+    OnCaptionQuery = VA508ComponentAccessibility2CaptionQuery
+    OnValueQuery = VA508ComponentAccessibility2ValueQuery
+    OnStateQuery = VA508ComponentAccessibility2StateQuery
+    OnInstructionsQuery = VA508ComponentAccessibility2InstructionsQuery
+    OnItemInstructionsQuery = VA508ComponentAccessibility2ItemInstructionsQuery
+    OnItemQuery = VA508ComponentAccessibility2ItemQuery
+    Left = 104
+    Top = 104
+  end
+  object VA508ComponentAccessibility3: TVA508ComponentAccessibility
+    Component = memErrCmts
+    OnStateQuery = VA508ComponentAccessibility3StateQuery
+    Left = 264
+    Top = 216
   end
 end
